Create Employees
/unified/hris/employees
Query Parameters
Refer Specifying query parameters in Truto APIs
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barRequest Body
Refer Writing data using Unified APIs
1 supported
This represents date of birth
2 supported
The emails of the user
2 supported
The email address
Whether the email address is primary
The type of email address
This represents the employee number
2 supported
This represents the employment status. If no clear mapping is available, then the raw value is returned.
activeinactivependingactiveinactive
2 supported
activeinactiveRepresents a role or employment of the employee in the company
1 supported
The unique identifier for employments
This represents the date when the employments was created
Represents the effective date of the employment
Employee associated with this employment
1 property
The unique identifier for employees
This represents the employment type
full_timepart_timecontractinternshiptemporarytraineevolunteerper_diemfull_timepart_timecontract
Represents the end date of the employment
Represents why the employment ended
This represents the flsa status
Job title of the employee
This represents the pay currency
This represents the pay frequency
This represents the pay group
This represents the pay period
This represents the pay rate
This represents the date when the employments was updated
This represent ethnicity
This represents the first name of the employee
2 supported
This represents gender
1 supported
This represents the groups
1 supported
The unique identifier for groups
Group's name
Type of the group. Some underlying providers use this to differentiate between in-built and user created groups.
This represents the home location
1 supported
The city of the home address
The country of the home address
The unique identifier for locations
This represents the name of the location
The postal code of the home address
The state/province of the home address
The first line of home address
The second line of home address
Job title of the employee
2 supported
This represents the last name of the employee
2 supported
Represents the manager of the employee. Is also an employee.
1 supported
The unique identifier for employees
This represents the name of the employee
This represents marital status
1 supported
This represents the middle name of the employee
1 supported
The phones of the user
2 supported
The phone number
The type of phone number
workmobile
The extension of the phone number
Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.
This represents the ssn
This represents the start date
2 supported
The state of the employee.
publisheddraft
1 supported1 required
publisheddraftThis represents the termination date
1 supported
Represents the reason for termination
Represents the type of termination. If no clear mapping exists, then raw value is returned.
voluntarydismissedredundancyend_of_contractretirementmutual
This represents the work location
1 supported
The city of the work address
The country of the work address
The unique identifier for locations
This represents the name of the location
The postal code of the work address
The state/province of the work address
The first line of work address
The second line of work address
Response Body
The unique identifier for employees
2 supported
This represents the avatar
1 supported
This represents the company
1 supported
The unique identifier for companies
This represents the date when the Employee was created
This represents date of birth
2 supported
The emails of the user
2 supported
The email address
Whether the email address is primary
The type of email address
This represents the employee number
2 supported
This represents the employment status. If no clear mapping is available, then the raw value is returned.
activeinactivepending
2 supported
Represents a role or employment of the employee in the company
1 supported
The unique identifier for employments
This represents the date when the employments was created
Represents the effective date of the employment
Employee associated with this employment
1 property
The unique identifier for employees
This represents the employment type
full_timepart_timecontractinternshiptemporarytraineevolunteerper_diem
Represents the end date of the employment
Represents why the employment ended
This represents the flsa status
Job title of the employee
This represents the pay currency
This represents the pay frequency
This represents the pay group
This represents the pay period
This represents the pay rate
This represents the date when the employments was updated
The unique identifier for the specific version of the resource.
1 supported
This represent ethnicity
This represents the first name of the employee
2 supported
This represents gender
1 supported
This represents the groups
1 supported
The unique identifier for groups
Group's name
Type of the group. Some underlying providers use this to differentiate between in-built and user created groups.
This represents the home location
1 supported
The city of the home address
The country of the home address
The unique identifier for locations
This represents the name of the location
The postal code of the home address
The state/province of the home address
The first line of home address
The second line of home address
Job title of the employee
2 supported
This represents the last name of the employee
2 supported
Represents the manager of the employee. Is also an employee.
1 supported
The unique identifier for employees
This represents the name of the employee
This represents marital status
1 supported
This represents the middle name of the employee
1 supported
This represents the name of the employee
2 supported
This represents the pay group
The unique identifier for pay groups
The phones of the user
2 supported
The extension of the phone number
The phone number
The type of phone number
Raw data returned from the remote API call.
This represents the ssn
This represents the start date
2 supported
The employee's tags
The tag's unique identifier
The tag's name
This represents the termination date
1 supported
Represents the reason for termination
Represents the type of termination. If no clear mapping exists, then raw value is returned.
voluntarydismissedredundancyend_of_contractretirementmutual
This represents the date when the Employee was updated
1 supported
This represents the username
This represents the work location
1 supported
The city of the work address
The country of the work address
The unique identifier for locations
This represents the name of the location
The postal code of the work address
The state/province of the work address
The first line of work address
The second line of work address
curl -X POST 'https://api.truto.one/unified/hris/employees?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json' \
-d '{
"first_name": "your_first_name",
"last_name": "your_last_name",
"middle_name": "your_middle_name",
"emails": [],
"phones": [],
"date_of_birth": "your_date_of_birth",
"ssn": "your_ssn",
"gender": "your_gender",
"ethnicity": "your_ethnicity",
"marital_status": "your_marital_status",
"home_location": [],
"employee_number": "your_employee_number",
"employments": [],
"employment_status": "active",
"termination_type": "voluntary",
"termination_reason": "your_termination_reason",
"termination_date": "your_termination_date",
"job_title": "your_job_title",
"start_date": "your_start_date",
"work_location": {},
"groups": [],
"manager": {},
"state": "published",
"remote_data": {}
}'const integratedAccountId = '<integrated_account_id>';
const body = {
"first_name": "your_first_name",
"last_name": "your_last_name",
"middle_name": "your_middle_name",
"emails": [],
"phones": [],
"date_of_birth": "your_date_of_birth",
"ssn": "your_ssn",
"gender": "your_gender",
"ethnicity": "your_ethnicity",
"marital_status": "your_marital_status",
"home_location": [],
"employee_number": "your_employee_number",
"employments": [],
"employment_status": "active",
"termination_type": "voluntary",
"termination_reason": "your_termination_reason",
"termination_date": "your_termination_date",
"job_title": "your_job_title",
"start_date": "your_start_date",
"work_location": {},
"groups": [],
"manager": {},
"state": "published",
"remote_data": {}
};
const response = await fetch(`https://api.truto.one/unified/hris/employees?integrated_account_id=${integratedAccountId}`, {
method: 'POST',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
body: JSON.stringify(body),
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/hris/employees"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
payload = {
"first_name": "your_first_name",
"last_name": "your_last_name",
"middle_name": "your_middle_name",
"emails": [],
"phones": [],
"date_of_birth": "your_date_of_birth",
"ssn": "your_ssn",
"gender": "your_gender",
"ethnicity": "your_ethnicity",
"marital_status": "your_marital_status",
"home_location": [],
"employee_number": "your_employee_number",
"employments": [],
"employment_status": "active",
"termination_type": "voluntary",
"termination_reason": "your_termination_reason",
"termination_date": "your_termination_date",
"job_title": "your_job_title",
"start_date": "your_start_date",
"work_location": {},
"groups": [],
"manager": {},
"state": "published",
"remote_data": {}
}
response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.create(
'hris',
'employees',
{
"first_name": "your_first_name",
"last_name": "your_last_name",
"middle_name": "your_middle_name",
"emails": [],
"phones": [],
"date_of_birth": "your_date_of_birth",
"ssn": "your_ssn",
"gender": "your_gender",
"ethnicity": "your_ethnicity",
"marital_status": "your_marital_status",
"home_location": [],
"employee_number": "your_employee_number",
"employments": [],
"employment_status": "active",
"termination_type": "voluntary",
"termination_reason": "your_termination_reason",
"termination_date": "your_termination_date",
"job_title": "your_job_title",
"start_date": "your_start_date",
"work_location": {},
"groups": [],
"manager": {},
"state": "published",
"remote_data": {}
},
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
result = await truto_api.unified_api.create(
"hris",
"employees",
{
"first_name": "your_first_name",
"last_name": "your_last_name",
"middle_name": "your_middle_name",
"emails": [],
"phones": [],
"date_of_birth": "your_date_of_birth",
"ssn": "your_ssn",
"gender": "your_gender",
"ethnicity": "your_ethnicity",
"marital_status": "your_marital_status",
"home_location": [],
"employee_number": "your_employee_number",
"employments": [],
"employment_status": "active",
"termination_type": "voluntary",
"termination_reason": "your_termination_reason",
"termination_date": "your_termination_date",
"job_title": "your_job_title",
"start_date": "your_start_date",
"work_location": {},
"groups": [],
"manager": {},
"state": "published",
"remote_data": {}
},
{"integrated_account_id": "<integrated_account_id>"}
)
print(result)
asyncio.run(main())